ブログ・ホームページ

ウィジェット設定画面がエラーで使えない【赤枠でいくつものエラー表示】

このサイトは、WordPress+AFFINGER5を使用しているのですが、久しぶりにウィジェットの編集をしようと、「外観」 > 「ウィジェット」を開いたところ、大量の赤枠エラーが表示されてしまいました。

このままでは、どうにもウィジェットの編集が行えません。。。

今回は備忘録を兼ねて、対応方法を紹介します。

ウィジェット設定画面を開くと赤枠エラーが出て使えない

WordPressのダッシュボードメニューから「外観」 > 「ウィジェット」を選択すると、ウィジェット画面が開きますが、このような感じで今までとは違った風に表示されました。


⬇︎
⬇︎ 赤枠のエラーが次々に出ました。
⬇︎

赤枠エラーの原因

赤枠エラーの内容は

「st_custom_html_widget」ブロックはエラーの影響を受けており、正しく機能しない可能性があります。詳細は開発ツールを確認してください。

「catbox_widget」ブロックはエラーの影響を受けており、正しく機能しない可能性があります。詳細は開発ツールを確認してください。

「authorst_widget」ブロックはエラーの影響を受けており、正しく機能しない可能性があります。詳細は開発ツールを確認してください。


といった内容でした。

WordPressは最近ブロックエディターを強化して、ブロックエディターが標準エディターになっていると思いますが、このサイトはまだ旧来のクラシックエディターを使用しています。

今回、ウィジェット設定画面を開いたところ、クラシックエディターのような画面になったので、WordPressがバージョンアップしたことで、その辺りの不具合が出ているのではないかと推測しています。

ウィジェット設定画面・赤枠エラーの対処法

Classic Widgets プラグインを使用することで、ウィジェット設定画面が使えるようになりました(^o^)

-ブログ・ホームページ

© 2021 よろず情報ハウス